See <https://builds.apache.org/job/Mesos-Reviewbot/21513/display/redirect>

------------------------------------------
[URLTrigger] A change within the response URL invocation (log)
[EnvInject] - Loading node environment variables.
Building remotely on ubuntu-6 (ubuntu trusty) in workspace 
<https://builds.apache.org/job/Mesos-Reviewbot/ws/>
 > git rev-parse --is-inside-work-tree # timeout=10
Fetching changes from the remote Git repository
 > git config remote.origin.url 
 > https://git-wip-us.apache.org/repos/asf/mesos.git # timeout=10
Fetching upstream changes from https://git-wip-us.apache.org/repos/asf/mesos.git
 > git --version # timeout=10
 > git fetch --tags --progress 
 > https://git-wip-us.apache.org/repos/asf/mesos.git 
 > +refs/heads/*:refs/remotes/origin/*
 > git rev-parse origin/master^{commit} # timeout=10
Checking out Revision 1600ebc6901239ae86e4e133c82d3424c56c978e (origin/master)
 > git config core.sparsecheckout # timeout=10
 > git checkout -f 1600ebc6901239ae86e4e133c82d3424c56c978e
Commit message: "Moved MESOS-8480 to 1.5.0's CHANGELOG."
 > git rev-list 1600ebc6901239ae86e4e133c82d3424c56c978e # timeout=10
 > git tag -a -f -m Jenkins Build #21513 jenkins-Mesos-Reviewbot-21513 # 
 > timeout=10
[EnvInject] - Executing scripts and injecting environment variables after the 
SCM step.
[EnvInject] - Injecting as environment variables the properties content 
USERNAME=mesos-review

[EnvInject] - Variables injected successfully.
[EnvInject] - Mask passwords that will be passed as build parameters.
[Mesos-Reviewbot] $ /bin/bash -xe /tmp/jenkins4701312125775687013.sh
+ date
Fri Feb  2 17:29:19 UTC 2018
+ pip install --user virtualenv
Requirement already satisfied (use --upgrade to upgrade): virtualenv in 
/usr/lib/python2.7/dist-packages
Cleaning up...
+ ./support/mesos-style.py
<https://builds.apache.org/job/Mesos-Reviewbot/ws/support/.virtualenv/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/ssl_.py>:318:
 SNIMissingWarning: An HTTPS request has been made, but the SNI (Subject Name 
Indication) extension to TLS is not available on this platform. This may cause 
the server to present an incorrect TLS certificate, which can cause validation 
failures. You can upgrade to a newer version of Python to solve this. For more 
information, see 
https://urllib3.readthedocs.io/en/latest/security.html#snimissingwarning.
  SNIMissingWarning
<https://builds.apache.org/job/Mesos-Reviewbot/ws/support/.virtualenv/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/ssl_.py>:122:
 InsecurePlatformWarning: A true SSLContext object is not available. This 
prevents urllib3 from configuring SSL appropriately and may cause certain SSL 
connections to fail. You can upgrade to a newer version of Python to solve 
this. For more information, see 
https://urllib3.readthedocs.io/en/latest/security.html#insecureplatformwarning.
  InsecurePlatformWarning
Command "python setup.py egg_info" failed with error code 1 in 
/tmp/pip-build-9zWcxA/isort/
Already using interpreter /usr/bin/python
Deleting tree 
<https://builds.apache.org/job/Mesos-Reviewbot/ws/support/.virtualenv/lib/python2.7>
Not deleting 
<https://builds.apache.org/job/Mesos-Reviewbot/ws/support/.virtualenv/bin>
New python executable in 
<https://builds.apache.org/job/Mesos-Reviewbot/ws/support/.virtualenv/bin/python>
Installing setuptools, pip...done.
Downloading/unpacking pip from 
https://pypi.python.org/packages/b6/ac/7015eb97dc749283ffdec1c3a88ddb8ae03b8fad0f0e611408f196358da3/pip-9.0.1-py2.py3-none-any.whl#md5=297dbd16ef53bcef0447d245815f5144
Installing collected packages: pip
  Found existing installation: pip 1.5.4
    Uninstalling pip:
      Successfully uninstalled pip
Successfully installed pip
Cleaning up...
Collecting nodeenv==1.1.2 (from -r 
<https://builds.apache.org/job/Mesos-Reviewbot/ws/support/pip-requirements.txt> 
(line 1))
  Using cached nodeenv-1.1.2.tar.gz
Collecting pylint==1.6.4 (from -r 
<https://builds.apache.org/job/Mesos-Reviewbot/ws/support/pip-requirements.txt> 
(line 2))
  Using cached pylint-1.6.4-py2.py3-none-any.whl
Collecting six (from pylint==1.6.4->-r 
<https://builds.apache.org/job/Mesos-Reviewbot/ws/support/pip-requirements.txt> 
(line 2))
  Using cached six-1.11.0-py2.py3-none-any.whl
Collecting mccabe (from pylint==1.6.4->-r 
<https://builds.apache.org/job/Mesos-Reviewbot/ws/support/pip-requirements.txt> 
(line 2))
  Using cached mccabe-0.6.1-py2.py3-none-any.whl
Collecting isort>=4.2.5 (from pylint==1.6.4->-r 
<https://builds.apache.org/job/Mesos-Reviewbot/ws/support/pip-requirements.txt> 
(line 2))
  Using cached isort-4.3.0.tar.gz
    Complete output from command python setup.py egg_info:
    /usr/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution 
option: 'python_requires'
      warnings.warn(msg)
    error in isort setup command: 'install_requires' must be a string or list 
of strings containing valid project/version requirement specifiers
    
    ----------------------------------------
Rebuilding virtualenv...
Build step 'Execute shell' marked build as failure

Reply via email to